/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 1.3.40
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package org.scilab.modules.graphic_export;


 /** 
  * Call from the JoGL display thread to figure drawing code using JNI 
  * @author Jean-Baptiste Silvy
  * @copyright INRIA 2007
  */
public class GL2PSWrappingJNI {

  /**
   * Constructor. Should not be called
   */
  protected GL2PSWrappingJNI() {
	throw new UnsupportedOperationException();
  }

  static {
    try {
        System.loadLibrary("scigraphic_export");
    } catch (SecurityException e) {
		System.err.println("A security manager exists and does not allow the loading of the specified dynamic library :");
		e.printStackTrace(System.err);
	} catch (UnsatisfiedLinkError e)	{
		System.err.println("The native library scigraphic_export does not exist or cannot be found.");
		e.printStackTrace(System.err);
    }
  }

  public final static native int sci_gl2psBeginPage(String jarg1, String jarg2, int[] jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, float[] jarg10, float[] jarg11, float[] jarg12, int jarg13, int jarg14, int jarg15, int jarg16, String jarg17);
  public final static native int sci_gl2psEndPage();
  public final static native int sci_gl2psSetOptions(int jarg1);
  public final static native int sci_gl2psBeginViewport(int[] jarg1);
  public final static native int sci_gl2psEndViewport();
  public final static native int sci_gl2psText(String jarg1, String jarg2, short jarg3);
  public final static native int sci_gl2psTextOpt(String jarg1, String jarg2, short jarg3, int jarg4, float jarg5);
  public final static native int sci_gl2psSpecial(int jarg1, String jarg2);
  public final static native int sci_gl2psEnable(int jarg1);
  public final static native int sci_gl2psDisable(int jarg1);
  public final static native int sci_gl2psPointSize(float jarg1);
  public final static native int sci_gl2psLineWidth(float jarg1);
  public final static native int sci_gl2psBlendFunc(int jarg1, int jarg2);
  public final static native int sci_gl2psDrawImageMap(int jarg1, int jarg2, float[] jarg3, String jarg4);
  public final static native String sci_gl2psGetFileExtension(int jarg1);
  public final static native String sci_gl2psGetFormatDescription(int jarg1);
  public final static native int sci_gl2psDrawPixels(int jarg1, int jarg2, int jarg3, int jarg4, java.nio.Buffer jarg5);
}
